From f9b87fc4857348b327e09513a2286f25b5389f72 Mon Sep 17 00:00:00 2001
From: Xiyue Deng <manphiz@gmail.com>
Date: Mon, 26 Feb 2024 17:23:05 -0800
Subject: [PATCH] Use larger margin in backtrace when ERT tests fail (Closes:
 #973393.)

---
 debian/changelog | 8 ++++++++
 dh_elpa_test     | 1 +
 2 files changed, 9 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 9f30538..ae45ff6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+dh-elpa (2.1.2) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * Set ert-batch-backtrace-right-margin to 512 to allow meaningful
+    backtrace info when ERT tests fail (Closes: #973393.)
+
+ -- Xiyue Deng <manphiz@gmail.com>  Mon, 26 Feb 2024 17:15:53 -0800
+
 dh-elpa (2.1.1) experimental; urgency=medium
 
   * Remove /usr/share/$flavor/site-lisp/elpa (from emacsen-remove)
diff --git a/dh_elpa_test b/dh_elpa_test
index c2504bf..847cf80 100755
--- a/dh_elpa_test
+++ b/dh_elpa_test
@@ -367,6 +367,7 @@ if (@ert_files) {
     my @args = qw{ emacs -batch -Q -l package };
     push @args, ("--eval", "(add-to-list 'package-directory-list \"$dhelpadir\")");
     push @args, ("--eval", "(add-to-list 'package-directory-list \"$elpadir\")");
+    push @args, ("--eval", "(setq ert-batch-backtrace-right-margin 512)");
     push @args, ("-f", "package-initialize");
 
     # add the user's load-path entries
-- 
2.39.2

